Heygen · v2 · Translate · Speed
整合
模型 id
heygen/v2/translate/speed
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/heygen/v2/translate/speed?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/heygen/v2/translate/speed?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/heygen/v2/translate/speed", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh-TW/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "heygen/v2/translate/speed",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}
}
透過 Doitong API 呼叫 Heygen · v2 · Translate · Speed 模型(heygen/v2/translate/speed)。代理程式文件:https://doitong.com/zh-TW/developers/models/heygen/v2/translate/speed.md
POST https://api.doitong.ru/v1/run/heygen/v2/translate/speed?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}
如果回應狀態為 "queued" 或 "running",請輪詢 GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20,直到狀態變為 "succeeded";檔案位於 outputs[].url。使用相同主體傳送 POST https://api.doitong.ru/v1/quote/heygen/v2/translate/speed,可在執行前取得確切價格。
像範例一樣的檔案: $0.50 500 API 點數 · ≈ ₽53.79 您的檔案會在執行前計量 在此頁面執行
您的新 API 金鑰。 僅會在此時顯示,且已填入下方的程式碼與 API 金鑰欄位。請妥善保密:切勿將其放入在瀏覽器中執行的程式碼。
建立請求
控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。
POST
/run/heygen/v2/translate/speed?wait=20
報價 → $0.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/heygen/v2/translate/speed?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/heygen/v2/translate/speed?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/heygen/v2/translate/speed", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "heygen/v2/translate/speed",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
},
"wait_seconds": 20
}
}
}
關於 Heygen · v2 · Translate · Speed
將影片語音翻譯為選定的 `output_language`,支援 178 種語言。來源影片最長可達 8 分鐘。選項包括僅翻譯音訊、說話者數量、針對不同語速語言的動態時長、品牌術語表 ID、自訂 SRT 檔案,以及 SRT 字幕輸出。此為較快速的版本。
參數
請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱
名稱類型
預設值允許值
說明
video_url必填
video
類型url · video
用於翻譯的來源影片 URL;影片長度不得超過 8 分鐘。
output_language必填
類型enum
EnglishSpanishFrenchHindiItalianGermanPolishPortugueseChineseJapaneseDutchTurkishKoreanDanishArabicRomanian
另有 162 個
MandarinFilipinoSwedishIndonesianUkrainianGreekCzechBulgarianMalaySlovakCroatianTamilFinnishRussianAfrikaans (South Africa)Albanian (Albania)Amharic (Ethiopia)Arabic (Algeria)Arabic (Bahrain)Arabic (Egypt)Arabic (Iraq)Arabic (Jordan)Arabic (Kuwait)Arabic (Lebanon)Arabic (Libya)Arabic (Morocco)Arabic (Oman)Arabic (Qatar)Arabic (Saudi Arabia)Arabic (Syria)Arabic (Tunisia)Arabic (United Arab Emirates)Arabic (Yemen)Armenian (Armenia)Azerbaijani (Latin, Azerbaijan)Bangla (Bangladesh)BasqueBengali (India)Bosnian (Bosnia and Herzegovina)Bulgarian (Bulgaria)Burmese (Myanmar)CatalanChinese (Cantonese, Traditional)Chinese (Jilu Mandarin, Simplified)Chinese (Mandarin, Simplified)Chinese (Northeastern Mandarin, Simplified)Chinese (Southwestern Mandarin, Simplified)Chinese (Taiwanese Mandarin, Traditional)Chinese (Wu, Simplified)Chinese (Zhongyuan Mandarin Henan, Simplified)Chinese (Zhongyuan Mandarin Shaanxi, Simplified)Croatian (Croatia)Czech (Czechia)Danish (Denmark)Dutch (Belgium)Dutch (Netherlands)English (Australia)English (Canada)English (Hong Kong SAR)English (India)English (Ireland)English (Kenya)English (New Zealand)English (Nigeria)English (Philippines)English (Singapore)English (South Africa)English (Tanzania)English (UK)English (United States)Estonian (Estonia)Filipino (Philippines)Finnish (Finland)French (Belgium)French (Canada)French (France)French (Switzerland)GalicianGeorgian (Georgia)German (Austria)German (Germany)German (Switzerland)Greek (Greece)Gujarati (India)Hebrew (Israel)Hindi (India)Hungarian (Hungary)Icelandic (Iceland)Indonesian (Indonesia)Irish (Ireland)Italian (Italy)Japanese (Japan)Javanese (Latin, Indonesia)Kannada (India)Kazakh (Kazakhstan)Khmer (Cambodia)Korean (Korea)Lao (Laos)Latvian (Latvia)Lithuanian (Lithuania)Macedonian (North Macedonia)Malay (Malaysia)Malayalam (India)Maltese (Malta)Marathi (India)Mongolian (Mongolia)Nepali (Nepal)Norwegian Bokmål (Norway)Pashto (Afghanistan)Persian (Iran)Polish (Poland)Portuguese (Brazil)Portuguese (Portugal)Romanian (Romania)Russian (Russia)Serbian (Latin, Serbia)Sinhala (Sri Lanka)Slovak (Slovakia)Slovenian (Slovenia)Somali (Somalia)Spanish (Argentina)Spanish (Bolivia)Spanish (Chile)Spanish (Colombia)Spanish (Costa Rica)Spanish (Cuba)Spanish (Dominican Republic)Spanish (Ecuador)Spanish (El Salvador)Spanish (Equatorial Guinea)Spanish (Guatemala)Spanish (Honduras)Spanish (Mexico)Spanish (Nicaragua)Spanish (Panama)Spanish (Paraguay)Spanish (Peru)Spanish (Puerto Rico)Spanish (Spain)Spanish (United States)Spanish (Uruguay)Spanish (Venezuela)Sundanese (Indonesia)Swahili (Kenya)Swahili (Tanzania)Swedish (Sweden)Tamil (India)Tamil (Malaysia)Tamil (Singapore)Tamil (Sri Lanka)Telugu (India)Thai (Thailand)Turkish (Türkiye)Ukrainian (Ukraine)Urdu (India)Urdu (Pakistan)Uzbek (Latin, Uzbekistan)Vietnamese (Vietnam)Welsh (United Kingdom)Zulu (South Africa)English - Your AccentEnglish - American Accent影片翻譯的目標語言。
translate_audio_only選填
類型boolean | null
預設值false
將翻譯限制為語音軌,臉部保持不變。
speaker_num選填
類型integer | null
影片中的說話者數量。
enable_dynamic_duration選填
類型boolean | null
預設值true
允許動態調整長度,使不同語言的語速差異不會中斷對話流程。
brand_glossary_id選填
類型string | null
用於選擇 HeyGen 品牌術語表以自訂術語翻譯的識別碼。
srt_url選填
類型string | null
可選的自訂 SRT 格式字幕檔案 URL。
srt_role選填
類型enum
inputoutput
指定提供的 SRT 是否屬於原始影片或其翻譯版本。
enable_caption選填
類型boolean
預設值false
控制是否生成隨附翻譯影片的獨立 SRT 字幕檔案。
必填
標準名稱,也可使用
檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案
輸出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "heygen/v2/translate/speed",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 500,
"usd": "0.50",
"charged": 500,
"refunded": 0
},
"input": {
"video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
},
"caption_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
- video
- object {url, content_type, file_name, file_size}包含翻譯內容的影片檔案。
- caption_file
- object {url, content_type, file_name, file_size} | null`enable_caption` 為 true 時生成的 SRT 字幕。
其他 HeyGen v2 變體
更多模型:唇形同步與虛擬角色
給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/heygen/v2/translate/speed.md. 所有模型與指南: https://doitong.com/developers/llms.txt